<?php

// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) exit;

add_action( 'the_content',									array('NNRobots_Related_Posts_Core', 'display'));

class NNRobots_Related_Posts_Core {

	/**
	 * Hooks into the 'the_content' action hook and displays the related posts
	 *
	 * @access public
	 * @static
	 * @param mixed $content
	 * @return void
	 */
	static function display($content) {

		global $post;

		$settings = get_option(NNRobots_Related_Posts::$prefix . 'settings');

		// Default values

		if ($settings === false) {
			$settings = NNRobots_Related_Posts::$default;
		}

		// Check if this is a single page

		if ( !is_singular() ) {
			return $content;
		}

		// Check if the post is not in the exclude list

		if ( isset($settings['trigger'][$post->post_type]['exclude']) && in_array($post->ID, explode(',', $settings['trigger'][$post->post_type]['exclude'])) ) {
			return $content;
		}

		$settings['id'] = 'nnrobots_related_posts_0';

		$related_posts = nnr_related_posts_shortcode($settings);

		// Check if user wants to display related posts

		if ($settings['location'] == 'none') {
			return $content;
		}

		else if ($settings['location'] == 'bottom') {
			return $content . $related_posts;
		}

		else if ($settings['location'] == 'top') {
			return $related_posts . $content;
		}

		return $content;

	}
}